# Poco::Zip

# class Rename

Library: Zip
Package: Manipulation
Header: Poco/Zip/Rename.h

## Description

Renames an existing Zip Entry

## Inheritance

Direct Base Classes: ZipOperation

All Base Classes: Poco::RefCountedObject, ZipOperation

## Member Summary

Member Functions: execute

Inherited Functions: duplicate, execute, referenceCount, release

## Constructors

### Rename

Rename(
const ZipLocalFileHeader & hdr,
const std::string & newZipEntryName
);

Creates the Rename.

## Member Functions

### execute

void execute(
Compress & c,
std::istream & input
);

Performs the rename operation

See also: Poco::Zip::ZipOperation::execute()